note  - DEPOSIT CANCELLATION PROGRAM
*
*  - position to top of database file
GO TOP
DO WHILE T
*  - find first uncalcelled deposit
  LOCATE FOR NO=0.AND..NOT.CAN NEXT 65535
  *  - if not at end of character field
  IF .NOT.EOF
     ?
     *  - display date and amount of deposit
     * MAKE SURE THIS IS THE THE RIGHT ONE
     DISP OFF 'Deposited on ',DATE,' Amount = ',AMT
     INPUT ' Cancel this one? (Y/N)' TO ANSWER
     *  - ask if deposit is to be cancelled
     IF ANSWER
        *  - change logical flag for cancelled deposit
        REPLACE CAN WITH T
     ENDIF
  ELSE  * END OF FILE
     ?
     *  - tell user there are not more deposits
     ? 'No more uncancelled deposits'
     RETURN
  ENDIF * IF NOT EOF
  ?
  INPUT 'Any more deposits to cancel? (Y/N)' to ANSWER
  IF .NOT.ANSWER
     RETURN
  ENDIF
ENDDO
RETURN